> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Redaction Report

> Creates a draft redaction report by scanning tenant data for all PII associated with the specified data subject. No data is modified at this stage. Review the returned report before executing. See the <a href="/developer-guides/redaction-services">Redaction Services Developer Guide</a> for the complete two-phase workflow.



## OpenAPI

````yaml /openapi/openapi_gdpr.json post /platform/data/redaction/report
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Redaction Service
  title: Redaction
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/data/redaction/report:
    post:
      tags:
        - Redaction
      summary: Generate Redaction Report
      description: >-
        Creates a draft redaction report by scanning tenant data for all PII
        associated with the specified data subject. No data is modified at this
        stage. Review the returned report before executing. See the <a
        href="/developer-guides/redaction-services">Redaction Services Developer
        Guide</a> for the complete two-phase workflow.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReportRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedactionReportResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/RedactionReportResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/RedactionReportResponse'
          description: OK
components:
  schemas:
    CreateReportRequest:
      properties:
        attributeFqns:
          $ref: '#/components/schemas/AttributeFqnsRequest'
        clearDataNodes:
          $ref: '#/components/schemas/ClearDataNodesRequest'
        customerAccountId:
          format: int32
          nullable: true
          type: integer
        userId:
          nullable: true
          type: string
      type: object
    RedactionReportResponse:
      properties:
        affectedEntities:
          $ref: '#/components/schemas/AffectedEntitiesResponse'
        auditInfo:
          $ref: '#/components/schemas/AuditInfoResponse'
        createdAt:
          format: date-time
          type: string
        errorSummary:
          nullable: true
          type: string
        executionCompletedAt:
          format: date-time
          nullable: true
          type: string
        executionStartedAt:
          format: date-time
          nullable: true
          type: string
        operationLog:
          items:
            $ref: '#/components/schemas/OperationLogEntry'
          nullable: true
          type: array
        reportId:
          nullable: true
          type: string
        request:
          $ref: '#/components/schemas/RequestResponse'
        schemaVersion:
          format: int32
          type: integer
        status:
          nullable: true
          type: string
        subject:
          $ref: '#/components/schemas/SubjectResponse'
        tenantId:
          format: int32
          type: integer
      type: object
    AttributeFqnsRequest:
      properties:
        customer:
          items:
            type: string
          nullable: true
          type: array
        order:
          items:
            type: string
          nullable: true
          type: array
        return:
          items:
            type: string
          nullable: true
          type: array
        shipment:
          items:
            type: string
          nullable: true
          type: array
      type: object
    ClearDataNodesRequest:
      properties:
        checkouts:
          nullable: true
          type: boolean
        orders:
          nullable: true
          type: boolean
        shipments:
          nullable: true
          type: boolean
      type: object
    AffectedEntitiesResponse:
      properties:
        checkouts:
          $ref: '#/components/schemas/EntityGroupResponse'
        customerAccountId:
          format: int32
          type: integer
        orders:
          $ref: '#/components/schemas/EntityGroupResponse'
        payments:
          $ref: '#/components/schemas/EntityGroupResponse'
        returns:
          $ref: '#/components/schemas/EntityGroupResponse'
        shipments:
          $ref: '#/components/schemas/EntityGroupResponse'
        wishlists:
          $ref: '#/components/schemas/EntityGroupResponse'
      type: object
    AuditInfoResponse:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    OperationLogEntry:
      properties:
        durationMs:
          format: int64
          type: integer
        entityId:
          nullable: true
          type: string
        entityType:
          nullable: true
          type: string
        errorMessage:
          nullable: true
          type: string
        operation:
          nullable: true
          type: string
        phase:
          nullable: true
          type: string
        recordsAffected:
          format: int32
          type: integer
        status:
          nullable: true
          type: string
        store:
          nullable: true
          type: string
        timestamp:
          format: date-time
          type: string
      type: object
    RequestResponse:
      properties:
        attributeFqns:
          $ref: '#/components/schemas/AttributeFqnsResponse'
        clearDataNodes:
          $ref: '#/components/schemas/ClearDataNodesResponse'
        correlationId:
          nullable: true
          type: string
      type: object
    SubjectResponse:
      properties:
        customerAccountId:
          format: int32
          nullable: true
          type: integer
        resolvedEmailAddresses:
          items:
            type: string
          nullable: true
          type: array
        userId:
          nullable: true
          type: string
      type: object
    EntityGroupResponse:
      properties:
        count:
          format: int32
          type: integer
        ids:
          items:
            type: string
          nullable: true
          type: array
      type: object
    AttributeFqnsResponse:
      properties:
        customer:
          items:
            type: string
          nullable: true
          type: array
        order:
          items:
            type: string
          nullable: true
          type: array
        return:
          items:
            type: string
          nullable: true
          type: array
        shipment:
          items:
            type: string
          nullable: true
          type: array
      type: object
    ClearDataNodesResponse:
      properties:
        checkouts:
          type: boolean
        orders:
          type: boolean
        shipments:
          type: boolean
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````